@import "variables.pcss";

figure,
img {
	&.aligncenter,
	&.alignleft,
	&.alignright {
		display: block;
		margin-left: auto;
		margin-right: auto;
	}

	@media screen and ( min-width: $br-tablet ) {
		&.alignleft {
			float: left;
			margin-right: 1.5rem;
		}

		&.alignright {
			float: right;
			margin-left: 1.5rem;
		}
	}
}

.wp-block-image {
	/* TODO: create variable: max-width calc( 768px - 1px ) */
	@media screen and ( max-width: calc( 768px - 1px ) ) {
		.alignright,
		.alignleft {
			float: none;
			width: 100%;
			margin-right: 0;
			margin-left: 0;

			img {
				margin-right: auto;
				margin-left: auto;
			}
		}
	}
}
